/{organizationId}/{mandateId}/crm/groups/{groupIdOrNumber}Gets a contact group
Required permissions:
mandate.read
contactGroup.read
Path Parameters
organizationIdstringrequired mandateIdstringrequired Authentication: X-API-Key
Request
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/groups/{groupIdOrNumber}' \
--header 'X-API-Key: YOUR_API_KEY'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
ObjectId as string
scopestringrequired Options:
localglobalObjectId as string
numberstringrequired minLength: 1
maxLength: 24
namestringrequired maxLength: 40
descriptionstringrequired maxLength: 400
lockedbooleanrequired contactsintegerrequired minimum: 0
maximum: 9007199254740991
Response
{
"_id": "000000000000000000000001",
"mandates": [
"000000000000000000000001"
],
"scope": "local",
"type": "000000000000000000000001",
"number": "string",
"name": "string",
"description": "string",
"locked": true,
"contacts": 0,
"segments": [
"string"
],
"contactSegmentCounters": {}
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}404Not found
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}